package com.sifang.modules.customer.form;

import org.hibernate.validator.constraints.NotBlank;

import java.util.Date;

public class SubmitArchivesReq {

    /**
     * 电站id
     */
    @NotBlank(message = "entryId不能为空")
    private String entryId;

    /**
     * 操作类型：1.暂存 2.提交
     */
    private String type;

    /**
     * 身份证-正
     */
    private String idCardFront;

    /**
     * 身份证-反
     */
    private String idCardBack;

    /**
     * 安装地址-详细地址
     */
    private String address;

    /**
     * 户口本复印件
     */
    private String residenceBooklet;

    /**
     * 房产证
     */
    private String houseOwnership;

    /**
     * 银行账号名称
     */
    private String bankName;

    /**
     * 银行账号
     */
    private String bankCode;

    /**
     * 联行号
     */
    private String tssBankNum;

    /**
     * 开户行
     */
    private String tssBankNumName;

    /**
     * 银行卡照片
     */
    private String bankCard;

    /**
     * 共签人身份证照片-正面
     */
    private String bpCardFront;

    /**
     * 共签人身份证照片-反面
     */
    private String bpCardBack;

    /**
     * 共签人姓名
     */
    private String bpName;


    /**
     * 共签人与业主关系
     */
    private String bpRelation;

    /**
     * 共签人证件号码
     */
    private String bpIdCard;

    /**
     * 共签人手机号
     */
    private String bpMobile;

    /**
     * 共签人子女证明材料
     */
    private String bpFile;

    /**
     * 村民代表大会决议书
     */
    private String resolutionPaperUrl;

    /**
     * 村委议事章程
     */
    private String yszcUrl;

    /**
     * 对公账户信息
     */
    private String accountInfoUrl;

    /**
     * 产权证明-集体土地使用证
     */
    private String ownershipCertificateUrl;

    /**
     * 产权证明-不动产证书/查册证明/相关确权文件
     */
    private String otherOwnershipCertificateUrl;

    /**
     * 紧急联系人
     */
    private  String exigenceName;

    /**
     * 紧急联系人手机号
     */
    private  String exigencePhone;

    /**
     * 信誉凭证
     */
    private  String creditCertificate;

    /**
     * 出生日期
     */
    private Date birthdayDate;

    /**
     * 身份证生效日
     */
    private Date icValidityBegin;

    /**
     * 身份证到期日
     */
    private Date icValidityEnd;

    public Date getBirthdayDate() {
        return birthdayDate;
    }

    public void setBirthdayDate(Date birthdayDate) {
        this.birthdayDate = birthdayDate;
    }

    public Date getIcValidityBegin() {
        return icValidityBegin;
    }

    public void setIcValidityBegin(Date icValidityBegin) {
        this.icValidityBegin = icValidityBegin;
    }

    public Date getIcValidityEnd() {
        return icValidityEnd;
    }

    public void setIcValidityEnd(Date icValidityEnd) {
        this.icValidityEnd = icValidityEnd;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getResidenceBooklet() {
        return residenceBooklet;
    }

    public void setResidenceBooklet(String residenceBooklet) {
        this.residenceBooklet = residenceBooklet;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getTssBankNum() {
        return tssBankNum;
    }

    public void setTssBankNum(String tssBankNum) {
        this.tssBankNum = tssBankNum;
    }

    public String getTssBankNumName() {
        return tssBankNumName;
    }

    public void setTssBankNumName(String tssBankNumName) {
        this.tssBankNumName = tssBankNumName;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public String getBpCardFront() {
        return bpCardFront;
    }

    public void setBpCardFront(String bpCardFront) {
        this.bpCardFront = bpCardFront;
    }

    public String getBpCardBack() {
        return bpCardBack;
    }

    public void setBpCardBack(String bpCardBack) {
        this.bpCardBack = bpCardBack;
    }

    public String getBpName() {
        return bpName;
    }

    public void setBpName(String bpName) {
        this.bpName = bpName;
    }

    public String getBpRelation() {
        return bpRelation;
    }

    public void setBpRelation(String bpRelation) {
        this.bpRelation = bpRelation;
    }

    public String getBpIdCard() {
        return bpIdCard;
    }

    public void setBpIdCard(String bpIdCard) {
        this.bpIdCard = bpIdCard;
    }

    public String getBpMobile() {
        return bpMobile;
    }

    public void setBpMobile(String bpMobile) {
        this.bpMobile = bpMobile;
    }

    public String getBpFile() {
        return bpFile;
    }

    public void setBpFile(String bpFile) {
        this.bpFile = bpFile;
    }

    public String getResolutionPaperUrl() {
        return resolutionPaperUrl;
    }

    public void setResolutionPaperUrl(String resolutionPaperUrl) {
        this.resolutionPaperUrl = resolutionPaperUrl;
    }

    public String getYszcUrl() {
        return yszcUrl;
    }

    public void setYszcUrl(String yszcUrl) {
        this.yszcUrl = yszcUrl;
    }

    public String getAccountInfoUrl() {
        return accountInfoUrl;
    }

    public void setAccountInfoUrl(String accountInfoUrl) {
        this.accountInfoUrl = accountInfoUrl;
    }

    public String getOwnershipCertificateUrl() {
        return ownershipCertificateUrl;
    }

    public void setOwnershipCertificateUrl(String ownershipCertificateUrl) {
        this.ownershipCertificateUrl = ownershipCertificateUrl;
    }

    public String getOtherOwnershipCertificateUrl() {
        return otherOwnershipCertificateUrl;
    }

    public void setOtherOwnershipCertificateUrl(String otherOwnershipCertificateUrl) {
        this.otherOwnershipCertificateUrl = otherOwnershipCertificateUrl;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getExigenceName() {
        return exigenceName;
    }

    public void setExigenceName(String exigenceName) {
        this.exigenceName = exigenceName;
    }

    public String getExigencePhone() {
        return exigencePhone;
    }

    public void setExigencePhone(String exigencePhone) {
        this.exigencePhone = exigencePhone;
    }

    public String getCreditCertificate() {
        return creditCertificate;
    }

    public void setCreditCertificate(String creditCertificate) {
        this.creditCertificate = creditCertificate;
    }
}
